package com.docus.server.sys.service;

import com.docus.server.sys.common.pojo.dto.UserDTO;

import java.util.List;

/**
 * 用户服务
 */
public interface IPowerUserService {
    /**
     * 用户注册
     *
     * @param userDTO 用户注册参数
     * @return 处理结果
     */
    boolean saveOrUpdatePowerUser(UserDTO userDTO);

    /**
     * 根据用户工号删除用户
     *
     * @param userName 用户工号
     * @return 删除结果
     */
    boolean delUserByUserName(String userName);

    /**
     * 批量保存
     *
     * @param users
     */
    void batchSaveOrUpdatePowerUser(List<UserDTO> users);
}
